切换主题
获取视频内容
获取已完成视频任务的视频文件内容。
此接口会代理返回视频文件流。
获取视频内容
GET /v1/videos/{task_id}/content
获取已完成视频任务的视频文件内容。
此接口会代理返回视频文件流。
认证
BearerAuth
请求参数
| 名称 | 位置 | 必填 | 类型 | 说明 |
|---|---|---|---|---|
| task_id | path | 是 | string | 视频任务 ID |
响应
200 成功获取视频内容
video/mp4
类型:string
原始 Schema
json
{
"type": "string",
"format": "binary"
}404 视频不存在或未完成
application/json
| 字段 | 必填 | 类型 | 说明 |
|---|---|---|---|
| error | 否 | object | - |
| error.message | 否 | string | 错误信息 |
| error.type | 否 | string | 错误类型 |
| error.param | 否 | string | null | 相关参数 |
| error.code | 否 | string | null | 错误代码 |
原始 Schema
json
{
"type": "object",
"properties": {
"error": {
"type": "object",
"properties": {
"message": {
"type": "string",
"description": "错误信息"
},
"type": {
"type": "string",
"description": "错误类型"
},
"param": {
"type": [
"string",
"null"
],
"description": "相关参数"
},
"code": {
"type": [
"string",
"null"
],
"description": "错误代码"
}
},
"x-apifox-orders": [
"message",
"type",
"param",
"code"
]
}
},
"x-apifox-orders": [
"error"
]
}